/*
 * zGo2ProfileCenterZ.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILECENTERZ_H_INCLUDED
#define LMITECH_GO2PROFILECENTERZ_H_INCLUDED

#include <Go2Measurements/Go2ProfileCenterZ.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileCenterZ Class 
 */

typedef struct Go2ProfileCenterZClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileFeature features[2]; 
} Go2ProfileCenterZClass; 

GO2_EXPORT(Go2Status) Go2ProfileCenterZ_Construct(Go2ProfileCenterZ* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileCenterZ_Init(Go2ProfileCenterZ measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileCenterZ_VRelease(Go2ProfileCenterZ measurement); 
GO2_EXPORT(Go2Status) Go2ProfileCenterZ_VRead(Go2ProfileCenterZ measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileCenterZ_VWrite(Go2ProfileCenterZ measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
